OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph_block_decoder.h File Reference
`#include "ojph_defs.h"`

Go to the source code of this file.

## Namespaces
namespace | ojph
namespace | ojph::local

## Functions
bool | ojph::local::ojph_decode_codeblock32 (ui8 *coded_data, ui32 *decoded_data, ui32 missing_msbs, ui32 num_passes, ui32 lengths1, ui32 lengths2, ui32 width, ui32 height, ui32 stride, bool stripe_causal)
| Decodes one codeblock, processing the cleanup, siginificance propagation, and magnitude refinement pass.
bool | ojph::local::ojph_decode_codeblock64 (ui8 *coded_data, ui64 *decoded_data, ui32 missing_msbs, ui32 num_passes, ui32 lengths1, ui32 lengths2, ui32 width, ui32 height, ui32 stride, bool stripe_causal)
| Decodes one codeblock, processing the cleanup, siginificance propagation, and magnitude refinement pass.
bool | ojph::local::ojph_decode_codeblock_ssse3 (ui8 *coded_data, ui32 *decoded_data, ui32 missing_msbs, ui32 num_passes, ui32 lengths1, ui32 lengths2, ui32 width, ui32 height, ui32 stride, bool stripe_causal)
bool | ojph::local::ojph_decode_codeblock_avx2 (ui8 *coded_data, ui32 *decoded_data, ui32 missing_msbs, ui32 num_passes, ui32 lengths1, ui32 lengths2, ui32 width, ui32 height, ui32 stride, bool stripe_causal)
bool | ojph::local::ojph_decode_codeblock_wasm (ui8 *coded_data, ui32 *decoded_data, ui32 missing_msbs, ui32 num_passes, ui32 lengths1, ui32 lengths2, ui32 width, ui32 height, ui32 stride, bool stripe_causal)
| Decodes one codeblock, processing the cleanup, siginificance propagation, and magnitude refinement pass.